GrailsWrappedRuntimeException (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.errors
[Java] Class GrailsWrappedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.errors.GrailsWrappedRuntimeException

    public class GrailsWrappedRuntimeException
    extends GrailsException

Wraps a Grails RuntimeException and attempts to extract more relevent diagnostic messages from the stack trace.

Authors:
  Graeme Rocher

Since:
  0.1

Field Summary
`static java.lang.String` | `URL_PREFIX`

Constructor Summary
`GrailsWrappedRuntimeException(javax.servlet.ServletContext servletContext, java.lang.Throwable t)` @param servletContext The ServletContext instance

Method Summary
`java.lang.String` | `getClassName()` @return Returns the className.
`java.lang.String[]` | `getCodeSnippet()` @return Returns the line.
`int` | `getLineNumber()` @return Returns the lineNumber.
`java.lang.String` | `getMessage()`
`java.lang.String[]` | `getStackTraceLines()` @return Returns the stackTrace lines
`java.lang.String` | `getStackTraceText()` @return Returns the stackTrace.

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Field Detail

### URL_PREFIX

    public static final java.lang.String URL_PREFIX

Constructor Detail

### GrailsWrappedRuntimeException

    public GrailsWrappedRuntimeException(javax.servlet.ServletContext servletContext, java.lang.Throwable t)

  Parameters:
    `servletContext` - The ServletContext instance
    `t` - The exception that was thrown

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns:
    Returns the className.

### getCodeSnippet

    public java.lang.String[] getCodeSnippet()

  Returns:
    Returns the line.

### getLineNumber

    public int getLineNumber()

  Returns:
    Returns the lineNumber.

### getMessage

    @java.lang.Override}
    public java.lang.String getMessage()

### getStackTraceLines

    public java.lang.String[] getStackTraceLines()

  Returns:
    Returns the stackTrace lines

### getStackTraceText

    public java.lang.String getStackTraceText()

  Returns:
    Returns the stackTrace.

Groovy Documentation